View Issue Details

IDProjectCategoryView StatusLast Update
0024925mantisbtadministrationpublic2018-11-03 10:22
ReportertitovetchAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version2.17.0 
Target Version2.19.0Fixed in Version2.19.0 
Summary0024925: Misleading Message in the creation of user
Description

in the creation of new user when i put a password the create user a message appear (Image 1) then click user empty password button a new message appeared (image 2) so i think its a misleading message as it should appear only if do not write password and let it empty

$g_send_reset_password=OFF

TagsNo tags attached.

Relationships

related to 0023837 closedvboctor Implement UserCreateCommand to create users 

Activities

titovetch

titovetch

2018-11-01 11:00

reporter  

1.png (6,411 bytes)
1.png (6,411 bytes)
2.png (4,694 bytes)
2.png (4,694 bytes)
dregad

dregad

2018-11-01 11:30

developer   ~0060894

If you do provide a password in _manage_user_createpage.php, then the empty password message (1.png) is not shown, it goes straight to the confirmation message (2.png).

I don't see what's misleading about this behavior. Please clarify.

titovetch

titovetch

2018-11-01 17:37

reporter   ~0060896

yes , (1.png) is shown in both scenarios when i provide and password and without password

atrol

atrol

2018-11-02 04:00

developer   ~0060898

I assume @titovetch has set $g_enable_email_notification = OFF;

I will provide a PR.

atrol

atrol

2018-11-02 04:03

developer   ~0060899

Regression introduced in 2.11.0 0023837

PR https://github.com/mantisbt/mantisbt/pull/1404

titovetch

titovetch

2018-11-02 07:29

reporter   ~0060903

yes @atrol u are right

Related Changesets

MantisBT: master 08087f8b

2018-11-02 03:57:45

atrol

Details Diff
Fix password checking when creating users

Fixes 0024925
Affected Issues
0024925
mod - manage_user_create.php Diff File

Issue History

Date Modified Username Field Change
2018-11-01 11:00 titovetch New Issue
2018-11-01 11:00 titovetch File Added: 1.png
2018-11-01 11:00 titovetch File Added: 2.png
2018-11-01 11:30 dregad Status new => feedback
2018-11-01 11:30 dregad Note Added: 0060894
2018-11-01 17:37 titovetch Note Added: 0060896
2018-11-01 17:37 titovetch Status feedback => new
2018-11-02 03:59 atrol Assigned To => atrol
2018-11-02 03:59 atrol Status new => assigned
2018-11-02 04:00 atrol Target Version => 2.19.0
2018-11-02 04:00 atrol Note Added: 0060898
2018-11-02 04:03 atrol Note Added: 0060899
2018-11-02 04:03 atrol Relationship added related to 0023837
2018-11-02 07:29 titovetch Note Added: 0060903
2018-11-03 10:22 atrol Changeset attached => MantisBT master 08087f8b
2018-11-03 10:22 atrol Status assigned => resolved
2018-11-03 10:22 atrol Resolution open => fixed
2018-11-03 10:22 atrol Fixed in Version => 2.19.0